> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Check company status

> Checks the company status



## OpenAPI

````yaml /swagger.json get /Company/{companyReferenceId}/Status
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Company/{companyReferenceId}/Status:
    get:
      tags:
        - Company
      summary: Check company status
      description: Checks the company status
      parameters:
        - name: companyReferenceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetCompanyStatusResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetCompanyStatusResponse'
components:
  schemas:
    GetCompanyStatusResponse:
      type: object
      properties:
        status:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````